import request from "@/utils/request";

// 创建车辆信息
export function createSupplierCar(data) {
    return request({
        url: "/rtkwms/supplier-car/create",
        method: "post",
        data: data,
    });
}

// 更新车辆信息
export function updateSupplierCar(data) {
    return request({
        url: "/rtkwms/supplier-car/update",
        method: "put",
        data: data,
    });
}

// 删除车辆信息
export function deleteSupplierCar(id) {
    return request({
        url: "/rtkwms/supplier-car/delete?id=" + id,
        method: "delete",
    });
}

// 获得车辆信息
export function getSupplierCar(id) {
    return request({
        url: "/rtkwms/supplier-car/get?id=" + id,
        method: "get",
    });
}

// 获得车辆信息分页
export function getSupplierCarPage(query) {
    return request({
        url: "/rtkwms/supplier-car/page",
        method: "get",
        params: query,
    });
}

// 导出车辆信息 Excel
export function exportSupplierCarExcel(query) {
    return request({
        url: "/rtkwms/supplier-car/export-excel",
        method: "get",
        params: query,
        responseType: "blob",
    });
}